TEC1908279: Install/upgrade steps for a APM 9.7 TIM running on the MTP Appliance (CA ADA Multi-Port Monitor)

Document created by Lynn_Williams Employee on May 27, 2016Last modified by J.J. Lovett on May 27, 2016
Version 2Show Document
  • View in full screen mode

Document ID:  TEC1908279

Last Modified Date:  2/17/2015
Authored By: Lynn_Williams

  • Products
    • CA Application Performance Management
  • Releases
    • CA Application Performance Management:Release:CA APM 9.7
  • Components
    • CUSTOMER EXPERIENCE MANAGER

 

Description:This article covers the installation and upgrade steps for a APM 9.7 TIM running on the MTP Appliance (CA ADA Multi-Port Monitor). Solution:Key points:

  • The supported versions of the MTP Appliance are:
    • 9.2 (CentOS 5.7 x64)
    • MTP 10.0 (CentOS 5.9 x64)
    • Note that MTP 10.1 runs under CentOS 5.11 and is not currently certified for the 9.7 TIM

 

  • The CentOS 5.x RPM package requirements are the same as the standard TIM. i.e.

    • mod_ssl
    • compat-libstdc++-33
    • pexpect
    • unzip
    • httpd
    • nspr
    • libpcap
    • pstack
    • mod_python
    • java-1.6.0-openjdk

 

  • The TIM for MTP version continues to be installed via the MTP Web interface under System Setup -> Install Software (in contrast to the 9.7 standard TIM which is shipped as an executable installer with RPM)

 

  • On Support Online -> Download Center -> Products, the 9.7 TIM for MTP software is available with the rest of CA APM under "CA Application Performance Management - MULTI-PLATFORM"

image: http://search.ca.com/assets/SiteAssets/TEC1908279_Embeded/97tmp_tim.jpg97tmp_tim.jpg

  • The GEN11152024E.tar file contains 3 images which should be installed in the following order:
    • machine-settings-mtp-el5-x64-9.7.0.27.27-7df777777c9b3336b92416af8436c12a116063a3.image
    • tim-mtp-requisites-Linux-el5-x64-9.7.0.27.27-7df777777c9b3336b92416af8436c12a116063a3.image
    • tim-mtp-Linux-el5-x64-9.7.0.27.27-7df777777c9b3336b92416af8436c12a116063a3.image

 

  • If performing a TIM upgrade from a TIM soft appliance (pre-9.6) then perform these steps:
    • From a Linux shell, take a backup of the entire config directory of the existing TIM installation under/etc/wily/cem/tim (/usr/local/wily/cem/tim)
    • Install the 3 image files for the new 9.7 TIM. The install process will remove the existing TIM installation directory and the new version will be installed into directory /opt/CA/APM/tim.
    • From the TIM Setup page, (System Setup -> "Tim 9.7.0.0 build ...") stop the TIM.
    • From a Linux shell, change directory (cd) to /opt/CA/APM/tim and restore the config directory backup, overriding any existing files with the same name.
    • From the TIM Setup page,  restart the TIM

 

  • If performing a TIM upgrade from a 9.6 TIM, then perform these steps:
    • From a Linux shell, take a backup of the entire config directory of the existing TIM installation under /opt/CA/APM/tim
    • Install the 3 image files for the new 9.7 TIM. The install process removes the existing TIM installation and installs the new version into the same directory /opt/CA/APM/tim.
    • From the TIM Setup page, (System Setup -> "Tim 9.7.0.0 build ...") stop the TIM.
    • From a Linux shell, change directory (cd) to /opt/CA/APM/tim and restore the config directory backup, overriding any existing files with the same name
    • From the TIM Setup page, restart the TIM

Search the Entire CA APM Knowledge Base

 

search-kb.jpg

Attachments

    Outcomes